<?php
namespace Users\View;

use Twig\Environment;

class Twig {

  // private var, van buiten het object niet bereikbaar
  // protected var, extensies van het object kunnen het ook bereiken
  // public var, buiten het object bereikbaar

  protected $twig;

  public function __construct($templateFolder)
  {
    
    $loader = new \Twig\Loader\FilesystemLoader($templateFolder);
    $this->twig = new \Twig\Environment($loader, []);

    return ;

    // bij elke new wordt de construct uitgevoerd
  }

  public function load ($template){
    return $this->twig->load($template);

  }

  public function addBlockVariable($block, $data){
    // to do add data to var

    $current = $this->variables[$block];
    if ($current) {
        $new = array_merge($current, $data);
    } else {
        $new = $data;
    }
    $this->variables[$block] = $new;
  }

  public function render($template, $vars) {

    $temp = $this->load($template);
    $variables = $vars; // TO DO add global var
    return $temp->render($variables);
  }
}